<template>
  <div class="h-6" />
  <el-menu :default-active="activeIndex" :class="{ 'el-menu-demo': true, small: isSmallScreen }" mode="horizontal"
    background-color="#545c64" text-color="#fff" active-text-color="#ffd04b" @select="handleSelect">
    <el-menu-item index="1">
      <router-link to="/">Home</router-link>
    </el-menu-item>
    <el-menu-item index="2">
      <router-link to="/blog">Blog</router-link>
    </el-menu-item>
    <el-menu-item index="3">
      <router-link to="/about">About</router-link>
    </el-menu-item>
    <el-menu-item v-if="user?.uuid" index="5">
      <a @click="goToCommunicator">Communicator</a>
    </el-menu-item>
    <el-sub-menu v-if="!user?.uuid" index="4">
      <template #title>Jump into</template>
      <el-menu-item @click="handleLogin" index="4-1">login</el-menu-item>
      <el-menu-item index="4-2">
        <router-link to="/register">register</router-link>
      </el-menu-item>
    </el-sub-menu>
    <el-menu-item v-if="user?.uuid" @click="handleLogout" index="4">Logout</el-menu-item>
  </el-menu>
</template>
  
<script lang="ts" setup>
import { ref } from 'vue';
import useEmitter from '../composables/useEmitter';
import { useStore } from '../stores';
import { storeToRefs } from 'pinia';
import { useRouter } from 'vue-router';

import { useMediaQuery } from '@vueuse/core'
const isSmallScreen = useMediaQuery('(max-width: 850px)')

const router = useRouter();
const emitter = useEmitter();
const activeIndex = ref('1');
const store = useStore();
const { user } = storeToRefs(store);


const handleSelect = (key: string, keyPath: string[]) => {
  console.log(key, keyPath)

}
emitter.on('homepage', () => {
  activeIndex.value = '1';
});

const handleLogin = () => {
  activeIndex.value = '1';
  router.push('/');
  emitter.emit('login');
};

const handleLogout = () => {
  emitter.emit('logout');
};

const goToCommunicator = () => {
  router.push('/communicator/');
}


</script>
<style scoped lang="scss">
.small {
  display: flex;
  flex-direction: column;
}
</style> 